/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class TimeSpinner extends OneArgumentOperator implements ELOperator 
{
    public void apply(ELMatrix argument[], ELMatrix out, ELEnvironment environment)
    {
	checkArguments(argument);
        
	ELMatrix in = argument[0];
	
	out.setRotated(in, environment.getTime());
    }

    public String name()
    {
	return "TimeSpinner";
    }
    
    public String description()
    {
	return "Rotates the image over time";
    }  
    
    protected String iconString()
    {
	return "Spn";
    }
    
    public boolean hasExternalInfluences() {
	return true;
    }
}






